Bug 187779 - Mono apps cannot connect to DBus
Mono apps cannot connect to DBus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 12:00 EDT by Dan Siemon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Siemon 2006-04-03 12:00:07 EDT
Description of problem:
When starting Mono applications (f-spot and Banshee) the following error message
is printed to the console. FC5 with all updates current.
----
Warning: [4/3/2006 12:01:25 PM] (Could not connect to D-Bus) - D-Bus support
will be disabled for this instance: An SELinux policy prevents this sender from
sending this message to this recipient (rejected message had interface
"org.freedesktop.DBus" member "Hello" error name "(unset)" destination
"org.freedesktop.DBus")
----

This causes some of the functionality of these applications to be disabled.

Version-Release number of selected component (if applicable):
dbus-sharp: 0.61-3
policy-targeted: 2.2.25-2.fc5
Comment 1 Daniel Walsh 2006-04-03 12:20:26 EDT
What avc messages are you seeing?
Comment 2 Dan Siemon 2006-04-03 12:53:54 EDT
tail -f messages | egrep -i avc

yields no avc messages related to either f-spot or Banshee yet the above error
message is still printed.
Comment 3 Daniel Walsh 2006-04-03 13:31:38 EDT
setenforce 0, then start it.  Then check for AVCs in /var/log/audit/audit.log
and/or /var/log/messages
Comment 4 Dan Siemon 2006-04-03 18:26:35 EDT
Running f-spot with setenforce=0 yields no AVCs in messages but the error
message pasted into the original bug report goes away (I do not have
/var/log/audit).

However, running Banshee with setenforce=0 results in lots of AVCs.

Apr  3 18:15:04 ganymede kernel: audit(1144102504.835:120): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.NetworkManager member=state
dest=org.freedesktop.NetworkManager spid=12407 tpid=2476
scontext=user_u:system_r:mono_t tcontext=system_u:system_r:NetworkManager_t
tclass=dbus
Apr  3 18:15:04 ganymede kernel: audit(1144102504.839:121): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.27 spid=2476 tpid=12407 scontext=system_u:system_r:NetworkManager_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.267:122): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Hal.Manager member=GetAllDevices
dest=org.freedesktop.Hal spid=12407 tpid=2444 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:hald_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.271:123): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.27 spid=2444 tpid=12407 scontext=system_u:system_r:hald_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.283:124): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Hal.Manager member=FindDeviceStringMatch
dest=org.freedesktop.Hal spid=12407 tpid=2444 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:hald_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.283:125): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.27 spid=2444 tpid=12407 scontext=system_u:system_r:hald_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.291:126): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Hal.Manager member=FindDeviceStringMatch
dest=org.freedesktop.Hal spid=12407 tpid=2444 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:hald_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.295:127): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.27 spid=2444 tpid=12407 scontext=system_u:system_r:hald_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.327:128): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Hal.Manager member=FindDeviceStringMatch
dest=org.freedesktop.Hal spid=12407 tpid=2444 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:hald_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.327:129): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.27 spid=2444 tpid=12407 scontext=system_u:system_r:hald_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.399:130): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=GetAPIVersion
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.403:131): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.403:132): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=GetState
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.403:133): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.407:134): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=GetDomainName
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.411:135): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.415:136): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=ServiceBrowserNew
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.415:137): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.419:138): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=CacheExhausted dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.419:139): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=CacheExhausted dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.515:140): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=GetAPIVersion
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.515:141): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.515:142): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=GetState
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:06 ganymede kernel: audit(1144102506.519:143): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.419:144): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=AllForNow dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.419:145): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=AllForNow dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.467:146): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=EntryGroupNew
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.467:147): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.467:148): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.EntryGroup member=GetState
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:07 ganymede kernel: audit(1144102507.467:149): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.556:150): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.EntryGroup member=AddService
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.556:151): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.556:152): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.EntryGroup member=Commit
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.560:153): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.560:154): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:09 ganymede kernel: audit(1144102509.560:155): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.532:156): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.532:157): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.532:158): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=ItemNew dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.532:159): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceBrowser member=ItemNew dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.536:160): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.Server member=ServiceResolverNew
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.536:161): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.540:162): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceResolver member=Found dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.540:163): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.ServiceResolver member=Found dest=:1.28
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.540:164): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.ServiceResolver member=Free
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:10 ganymede kernel: audit(1144102510.544:165): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.704:166): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.ServiceBrowser member=Free
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.704:167): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.28 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.712:168): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.EntryGroup member=Reset
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.716:169): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.716:170): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=signal
interface=org.freedesktop.Avahi.EntryGroup member=StateChanged dest=:1.29
spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.716:171): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.716:172): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_call
interface=org.freedesktop.Avahi.EntryGroup member=Free
dest=org.freedesktop.Avahi spid=12407 tpid=2424 scontext=user_u:system_r:mono_t
tcontext=system_u:system_r:avahi_t tclass=dbus
Apr  3 18:15:21 ganymede kernel: audit(1144102521.720:173): user pid=2088 uid=81
auid=4294967295 msg='avc:  denied  { send_msg } for msgtype=method_return
dest=:1.29 spid=2424 tpid=12407 scontext=system_u:system_r:avahi_t
tcontext=user_u:system_r:mono_t tclass=dbus
Comment 5 Dan Siemon 2006-04-21 10:58:50 EDT
Problem persists with selinux-policy-targeted v2.2.29-3.fc5 and all FC5 updates
current as of Apr 21 2006.
Comment 6 Daniel Walsh 2006-04-24 22:50:44 EDT
Fixed in selinux-policy-2.2.34-3.fc5
Comment 8 Daniel Walsh 2006-05-05 11:04:43 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.